Package org.h2.test.unit

# Class TestAutoReconnect.MyDatabaseEventListener

java.lang.Object
org.h2.test.unit.TestAutoReconnect.MyDatabaseEventListener

All Implemented Interfaces:
  `EventListener`, `DatabaseEventListener`

Enclosing class:
  `TestAutoReconnect`

public static final class TestAutoReconnect.MyDatabaseEventListener extends Object implements DatabaseEventListener
A database event listener used in this test.

## Field Summary

### Fields inherited from interface org.h2.api.DatabaseEventListener

`STATE_BACKUP_FILE, STATE_CREATE_INDEX, STATE_RECONNECTED, STATE_RECOVER, STATE_SCAN_FILE, STATE_STATEMENT_END, STATE_STATEMENT_PROGRESS, STATE_STATEMENT_START`

## Constructor Summary

Constructors
Constructor
Description
`MyDatabaseEventListener()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.DatabaseEventListener

`closingDatabase, exceptionThrown, init, opened, setProgress`

## Constructor Details

### MyDatabaseEventListener

public MyDatabaseEventListener()